Page MenuHomePhabricator

[mlir] Added OpPrintingFlags to AsmState and SSANameState.
ClosedPublic

Authored by izuk on Jul 1 2021, 10:59 AM.

Details

Summary

This enables checking the printing flags when formatting names
in SSANameState.

Depends On D105299

Diff Detail

Event Timeline

izuk created this revision.Jul 1 2021, 10:59 AM
izuk requested review of this revision.Jul 1 2021, 10:59 AM
izuk updated this revision to Diff 356275.Jul 2 2021, 2:16 PM

Merged some changes that were accidentally in a parent PR.

izuk retitled this revision from Added OpPrintingFlags to AsmState and SSANameState. to [mlir] Added OpPrintingFlags to AsmState and SSANameState..Jul 2 2021, 2:22 PM
izuk updated this revision to Diff 357295.Jul 8 2021, 11:24 AM

No change.

mehdi_amini accepted this revision.Jul 8 2021, 11:48 AM
This revision is now accepted and ready to land.Jul 8 2021, 11:48 AM
bondhugula added inline comments.
mlir/lib/IR/AsmPrinter.cpp
836

Field doc comment here please.

1180

Triple /// comment.

2772

Should flags be passed by const ref?

2772–2774

Nit: printerFlags

mlir/lib/Transforms/LocationSnapshot.cpp
25

Should this be passed by const ref?

izuk updated this revision to Diff 357574.Jul 9 2021, 11:01 AM
izuk marked 5 inline comments as done.

Applied fixes suggested by Uday.

bondhugula accepted this revision.Jul 9 2021, 4:52 PM
This revision was landed with ongoing or failed builds.Jul 10 2021, 10:20 AM
This revision was automatically updated to reflect the committed changes.